[Numpy-discussion] Numpy 1.4.1 fails to build on (Debian) alpha and powepc

David Cournapeau cournape@gmail....
Mon Jul 19 13:10:19 CDT 2010


On Sun, Jul 18, 2010 at 12:53 PM, Sandro Tosi <morph@debian.org> wrote:
> Hello,
> I finally found the time to update numpy in Debian. But, there is a problem...
>
> As you probably know, we support several architectures and we need to
> have any package available on each of them. After the upload I noticed
> numpy has problem building on alpha [1] (ieee754.c compilation error,
> probably related to the conversion from .src) and powerpc [2]
> (long_double identification)

The alpha issue should be easy to fix: it is just a code path which
has never been tested so far, but the code is there.

The ppc one is more annoying, and known. The problem is that linux on
ppc uses the IBM format for long double (sum of two double), which
requires to implement non trivial, heavily platform dependent code. I
have just added code to correctly detect the long double format at the
configure stage.

Do you have shell access to the machines ? It would makes the work
much easier for me to fix those issues,

David


More information about the NumPy-Discussion mailing list